Skip to main content

User Roles

NewBeta

UserRole objects represent the current user's role and permissions in AppFolio®. Skywalk API allows you to obtain the following user role attributes from AppFolio®.

The UserRole Object

Attributes


roleNamestring
Name of the user's role (e.g., President, Property Manager).
Example:
"President"

roleIdstring
AppFolio ID of the user role.
Example:
"1"

permissionsRecord<string, string>
Mapping of permission roles to their privilege levels (e.g. { "services": "hidden", "advanced_accounting": "write" }).
Example:
{"services":"hidden","aap_services":"hidden","admin_api_access":"hidden","advanced_accounting":"write","manage_accounting_periods":"write","income_certifications":"write_without_delete","screening_metadata_view":"read"}

The UserRole Object
{
"roleName": "President",
"roleId": "1",
"permissions": {
"services": "hidden",
"aap_services": "hidden",
"admin_api_access": "hidden",
"advanced_accounting": "write",
"manage_accounting_periods": "write",
"income_certifications": "write_without_delete",
"screening_metadata_view": "read"
}
}

Get User Roles

GET /v1/user-roles

Follows: AuthenticationCachingPollingList Response FormatScheduled Job

The user roles endpoint returns the current authenticated user's role and a detailed mapping of all permission roles to their privilege levels. This endpoint should respond immediately with your most recently cached data.

Parameters


This endpoint requires no additional parameters.

Returns


The standard List Response Format with a data property containing an array with a single UserRole object.

GET /v1/user-roles
curl -X GET 'https://api.skywalkapi.com/v1/user-roles' \ 
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/user-roles",
"count": 1,
"lastUpdated": 1610992228
},
"links": {},
"data": [
{
"roleName": "President",
"roleId": "1",
"permissions": {
"services": "hidden",
"aap_services": "hidden",
"admin_api_access": "hidden",
"advanced_accounting": "write",
"manage_accounting_periods": "write",
"income_certifications": "write_without_delete",
"screening_metadata_view": "read"
}
}
]
}